# Uses of Class
org.apache.avro.file.DataFileStream

Packages that use DataFileStream
Package
Description
org.apache.avro.file
A container file for Avro data.

## Uses of DataFileStream in org.apache.avro.file

Subclasses of DataFileStream in org.apache.avro.file
Modifier and Type
Class
Description
`class`
`DataFileReader<D>`
Random access to files written with `DataFileWriter`.
Methods in org.apache.avro.file with parameters of type DataFileStream
Modifier and Type
Method
Description
`void`
DataFileWriter.`appendAllFrom(DataFileStream<D> otherFile, boolean recompress)`
Appends data from another file. otherFile must have the same schema.